mav_navigate(3)

NAME
mav_navigate - Call a navigation function.

LEVEL
Maverik Level 2

SYNTAX
void mav_navigate(MAV_navigatorFn fn, MAV_viewParams *vp, float am, float ls, float as);

ARGUMENTS
Navigation function to call. View parameters to modify. Amount by which to modify the view parameters. Linear scale factor. Angular scale factor.

DESCRIPTION
This function calls the navigation function fn, to modify the view parameters vp. It modifies them by amount am, using linear scale ls to convert am into application units, and angular scale as to to convert am into radians.

mav_navigate is called by the various device-specific navigation functions, in order to perform navigation. Here, am will be measured in the intrinsic units of the device (pixels or inches, for example), and the scaling factors ls and as are provided by the application to map these values into application world-coordinate units.